Index: branches/new_class_id/src/lib/collision_reaction/collision_handle.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/collision_handle.h	(revision 9862)
+++ branches/new_class_id/src/lib/collision_reaction/collision_handle.h	(revision 9863)
@@ -64,4 +64,5 @@
 
     std::vector<Collision*>       collisionList;           //!< a list full of collisions
+    /// TODO Take a std::set here!
     std::vector<ClassID>          targetList;              //!< a list of target classes for filtering @TODO TAKE SET INSTEAD OF VECTOR HERE
 
Index: branches/new_class_id/src/lib/graphics/importer/material.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9862)
+++ branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9863)
@@ -261,15 +261,4 @@
 }
 
-
-
-/**
- * @brief Adds a Texture Path to the List of already existing Paths
- * @param pathName The Path to add.
-*/
-void Material::addTexturePath(const std::string& pathName)
-{
-  printf("HUPS\n");
-  //ResourceManager::getInstance()->addImageDir(pathName);
-}
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/material.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/material.h	(revision 9862)
+++ branches/new_class_id/src/lib/graphics/importer/material.h	(revision 9863)
@@ -67,6 +67,4 @@
   const Texture& diffuseTexture(unsigned int i = 0) const { return this->textures[i]; };
 
-  static void addTexturePath(const std::string& pathName);
-
   static const std::string& blendFuncToString(GLenum blendFunc);
   static GLenum stringToBlendFunc(const std::string& blendFuncString);
Index: branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc	(revision 9862)
+++ branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc	(revision 9863)
@@ -92,5 +92,5 @@
   rebuildInfo();
 
-  this->debug();
+  //this->debug();
 }
 
Index: branches/new_class_id/src/lib/graphics/importer/objModel.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/objModel.cc	(revision 9862)
+++ branches/new_class_id/src/lib/graphics/importer/objModel.cc	(revision 9863)
@@ -19,4 +19,5 @@
 
 #include <string.h>
+#include "loading/resource_manager.h"
 
 #define PARSELINELENGTH 8192
@@ -76,5 +77,5 @@
   else
     this->objPath = "./";
-  Material::addTexturePath(this->objPath);
+  Resources::ResourceManager::getInstance()->addResourcePath("Texture", this->objPath);
 
   this->readFromObjFile (fileName);
Index: branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc	(revision 9862)
+++ branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc	(revision 9863)
@@ -21,6 +21,4 @@
     PRINTF(5)("NOT FOUND FONT: %s\n", fontName.c_str());
     std::string fileName = this->Resource::locateFile(fontName);
-
-    printf("FONTFILE %s TO %s\n", fontName.c_str(), fileName.c_str());
 
     this->Font::loadFontFromTTF(fileName, renderSize);
Index: branches/new_class_id/src/orxonox.cc
===================================================================
--- branches/new_class_id/src/orxonox.cc	(revision 9862)
+++ branches/new_class_id/src/orxonox.cc	(revision 9863)
@@ -570,5 +570,5 @@
   }
 
-  printf("finished inizialisation\n");
+  PRINTF(5)("finished inizialisation\n");
   orx->start();
 
Index: branches/new_class_id/src/story_entities/game_world.cc
===================================================================
--- branches/new_class_id/src/story_entities/game_world.cc	(revision 9862)
+++ branches/new_class_id/src/story_entities/game_world.cc	(revision 9863)
@@ -151,5 +151,5 @@
 
 
-  PRINTF(0)("Loading the GameWorld\n");
+  PRINTF(4)("Loading the GameWorld\n");
 
   PRINTF(3)("> Loading world: '%s'\n", getLoadFile().c_str());
@@ -336,5 +336,5 @@
   }
 
-  PRINTF(0)("GameWorld::mainLoop() - Exiting the main loop\n");
+  PRINTF(4)("GameWorld::mainLoop() - Exiting the main loop\n");
 }
 
Index: branches/new_class_id/src/story_entities/menu/game_menu.cc
===================================================================
--- branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9862)
+++ branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9863)
@@ -199,5 +199,5 @@
         {
 
-          printf("%s\n", se->getMenuScreenshoot().c_str());
+	  PRINTF(3)("Load image %s\n", se->getMenuScreenshoot().c_str());
           OrxGui::GLGuiImageButton* button = new OrxGui::GLGuiImageButton(se->getName(), se->getStoryID(), se->getMenuScreenshoot(), image);
           button->startLevel.connect(this, &GameMenu::startLevel);
Index: branches/new_class_id/src/story_entities/menu/glgui_imagebutton.cc
===================================================================
--- branches/new_class_id/src/story_entities/menu/glgui_imagebutton.cc	(revision 9862)
+++ branches/new_class_id/src/story_entities/menu/glgui_imagebutton.cc	(revision 9863)
@@ -14,5 +14,4 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_SHELL
 
 #include "glgui_imagebutton.h"
@@ -45,5 +44,5 @@
   void GLGuiImageButton::receivedFocus()
   {
-    printf("%s:: %s\n", this->label().c_str(), this->imageName.c_str());
+    PRINTF(4)("%s:: %s\n", this->label().c_str(), this->imageName.c_str());
 
     this->image->loadImageFromFile(this->imageName);
Index: branches/new_class_id/src/util/hud.cc
===================================================================
--- branches/new_class_id/src/util/hud.cc	(revision 9862)
+++ branches/new_class_id/src/util/hud.cc	(revision 9863)
@@ -185,5 +185,5 @@
   if (State::getPlayer() && State::getPlayer()->getPlayable() && State::getObjectManager())
   {
-    printf("UPDATING RADAR\n");
+    PRINTF(4)("UPDATING RADAR\n");
     this->_radar->setCenterNode(State::getPlayer()->getPlayable());
     this->_radar->addEntityList(&State::getObjectManager()->getEntityList((OM_LIST)(State::getPlayer()->getPlayable()->getOMListNumber()+1)), Color(.4, .4, 1.0));
Index: branches/new_class_id/src/world_entities/skydome.cc
===================================================================
--- branches/new_class_id/src/world_entities/skydome.cc	(revision 9862)
+++ branches/new_class_id/src/world_entities/skydome.cc	(revision 9863)
@@ -44,5 +44,5 @@
 void Skydome::init()
 {
-  PRINTF(0)("Skydome init\n");
+  PRINTF(4)("Skydome init\n");
 
   this->registerObject(this, Skydome::_objectList);
@@ -63,5 +63,5 @@
 Skydome::~Skydome()
 {
-  PRINTF(0)("Deleting Skydome\n");
+  PRINTF(4)("Deleting Skydome\n");
 
   if (glIsTexture(texture))
Index: branches/new_class_id/src/world_entities/weapons/aim.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9862)
+++ branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9863)
@@ -51,6 +51,6 @@
 Aim::~Aim ()
 {
-/*  if (this->text != NULL)
-    delete this->text;*/
+  /*  if (this->text != NULL)
+      delete this->text;*/
 }
 
@@ -80,10 +80,10 @@
 
 
-/*  this->text = new Text();
-  this->text->setLayer(this->getLayer());
-  this->text->setParent2D(this);
-  this->text->setRelCoor2D(10, -50);
-  this->text->setParentMode2D(E2D_PARENT_MOVEMENT);
-  this->text->setText("Testing");*/
+  /*  this->text = new Text();
+    this->text->setLayer(this->getLayer());
+    this->text->setParent2D(this);
+    this->text->setRelCoor2D(10, -50);
+    this->text->setParentMode2D(E2D_PARENT_MOVEMENT);
+    this->text->setText("Testing");*/
 }
 
@@ -93,11 +93,11 @@
 
   LoadParam(root, "texture", this, Aim, setTexture)
-      .describe("the texture-file to load onto the Aim");
+  .describe("the texture-file to load onto the Aim");
 
   LoadParam(root, "size", this, Aim, setSize)
-      .describe("the size of the Aim in Pixels");
+  .describe("the size of the Aim in Pixels");
 
   LoadParam(root, "rotation-speed", this, Aim, setRotationSpeed)
-      .describe("the Speed with which the Aim should rotate");
+  .describe("the Speed with which the Aim should rotate");
 
   LoadParam(root, "target-group", this, Aim, setTargetGroupS);
@@ -118,5 +118,5 @@
       //if (this->getParent() != (*entity))
       {
-        printf("found target::: %d %s::%s\n", (*entity)->getOMListNumber(), (*entity)->getClassCName(), (*entity)->getCName());
+        //        printf("found target::: %d %s::%s\n", (*entity)->getOMListNumber(), (*entity)->getClassCName(), (*entity)->getCName());
         this->anim->replay();
         this->setParentSoft(*entity, 5);
@@ -126,6 +126,6 @@
   }
 
-   //if no target found:
-   this->setParent(PNode::getNullParent());
+  //if no target found:
+  this->setParent(PNode::getNullParent());
 }
 
@@ -166,42 +166,42 @@
   this->shiftDir2D(dt * rotationSpeed);
 
-//   char outputText[100];
-//   sprintf(outputText, "%s - distance: %f\n", this->getParent()->getName(), (this->source->getAbsCoor() - this->getAbsCoor()).len());
-//   this->text->setText(outputText);
-
-
-//  if (this->source->getAbsCoor().x > this->getAbsCoor().x )
+  //   char outputText[100];
+  //   sprintf(outputText, "%s - distance: %f\n", this->getParent()->getName(), (this->source->getAbsCoor() - this->getAbsCoor()).len());
+  //   this->text->setText(outputText);
+
+
+  //  if (this->source->getAbsCoor().x > this->getAbsCoor().x )
   diffVec = ( this->getAbsCoor() - this->source->getAbsCoor() );
-//only look for target if the aim hasn`t locked a target yet or if the actual target is out of range
-   if(this->getParent() == PNode::getNullParent() ||
+  //only look for target if the aim hasn`t locked a target yet or if the actual target is out of range
+  if(this->getParent() == PNode::getNullParent() ||
       diffVec.len() > range )// ||
-     //( acos( (this->source->getAbsDirX()).dot(diffVec)/(diffVec.len() * (this->source->getAbsDirX()).len() ) ) > angle))
-    {
-     this->setParentSoft(PNode::getNullParent(),5);
-     this->searchTarget();
-    }
-
-//   float z = 0.0f;
-//   glReadPixels ((int)this->getAbsCoor2D().x,
-//                  GraphicsEngine::getInstance()->getResolutionY()-(int)this->getAbsCoor2D().y-1,
-//                  1,
-//                  1,
-//                  GL_DEPTH_COMPONENT,
-//                  GL_FLOAT,
-//                  &z);
-//
-//
-//   GLdouble objX=.0, objY=.0, objZ=.0;
-//   gluUnProject(this->getAbsCoor2D().x,
-//                GraphicsEngine::getInstance()->getResolutionY()-this->getAbsCoor2D().y-1,
-//                .99,  // z
-//                GraphicsEngine::modMat,
-//                GraphicsEngine::projMat,
-//                GraphicsEngine::viewPort,
-//                &objX,
-//                &objY,
-//                &objZ );
-//aa
-//   this->setAbsCoor(objX, objY, objZ);
+    //( acos( (this->source->getAbsDirX()).dot(diffVec)/(diffVec.len() * (this->source->getAbsDirX()).len() ) ) > angle))
+  {
+    this->setParentSoft(PNode::getNullParent(),5);
+    this->searchTarget();
+  }
+
+  //   float z = 0.0f;
+  //   glReadPixels ((int)this->getAbsCoor2D().x,
+  //                  GraphicsEngine::getInstance()->getResolutionY()-(int)this->getAbsCoor2D().y-1,
+  //                  1,
+  //                  1,
+  //                  GL_DEPTH_COMPONENT,
+  //                  GL_FLOAT,
+  //                  &z);
+  //
+  //
+  //   GLdouble objX=.0, objY=.0, objZ=.0;
+  //   gluUnProject(this->getAbsCoor2D().x,
+  //                GraphicsEngine::getInstance()->getResolutionY()-this->getAbsCoor2D().y-1,
+  //                .99,  // z
+  //                GraphicsEngine::modMat,
+  //                GraphicsEngine::projMat,
+  //                GraphicsEngine::viewPort,
+  //                &objX,
+  //                &objY,
+  //                &objZ );
+  //aa
+  //   this->setAbsCoor(objX, objY, objZ);
 }
 
@@ -212,22 +212,22 @@
 {
 
- if( this->getParent() != PNode::getNullParent() )
+  if( this->getParent() != PNode::getNullParent() )
   {
-  glPushMatrix();
-  glTranslatef(this->getAbsCoor2D().x, this->getAbsCoor2D().y, 0);
-
-  glRotatef(this->getAbsDir2D(), 0,0,1);
-  this->material.select();
-  glBegin(GL_TRIANGLE_STRIP);
-  glTexCoord2f(0, 0);
-  glVertex2f(-this->getSizeX2D(), -this->getSizeY2D());
-  glTexCoord2f(1, 0);
-  glVertex2f(this->getSizeX2D(), -this->getSizeY2D());
-  glTexCoord2f(0, 1);
-  glVertex2f(-this->getSizeX2D(), this->getSizeY2D());
-  glTexCoord2f(1, 1);
-  glVertex2f(this->getSizeX2D(), this->getSizeY2D());
-  glEnd();
-  glPopMatrix();
+    glPushMatrix();
+    glTranslatef(this->getAbsCoor2D().x, this->getAbsCoor2D().y, 0);
+
+    glRotatef(this->getAbsDir2D(), 0,0,1);
+    this->material.select();
+    glBegin(GL_TRIANGLE_STRIP);
+    glTexCoord2f(0, 0);
+    glVertex2f(-this->getSizeX2D(), -this->getSizeY2D());
+    glTexCoord2f(1, 0);
+    glVertex2f(this->getSizeX2D(), -this->getSizeY2D());
+    glTexCoord2f(0, 1);
+    glVertex2f(-this->getSizeX2D(), this->getSizeY2D());
+    glTexCoord2f(1, 1);
+    glVertex2f(this->getSizeX2D(), this->getSizeY2D());
+    glEnd();
+    glPopMatrix();
   }
 
Index: branches/new_class_id/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9862)
+++ branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9863)
@@ -17,5 +17,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE 4 //DEBUG_MODULE_WEAPON
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
 
 #include "weapon_manager.h"
@@ -302,5 +302,5 @@
     weapon->setDefaultTarget(this->crosshair);
   }
-  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassCName(), weapon->getCName(), configID, slotID);
+  PRINTF(4)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassCName(), weapon->getCName(), configID, slotID);
   return true;
 }
Index: branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc
===================================================================
--- branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc	(revision 9862)
+++ branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc	(revision 9863)
@@ -81,5 +81,5 @@
 
 void CloudEffect::init() {
-    PRINTF(0)("Initializing CloudEffect\n");
+    PRINTF(4)("Initializing CloudEffect\n");
 
     // default values
@@ -176,5 +176,5 @@
 
 void CloudEffect::deactivate() {
-    PRINTF(0)("Deactivating CloudEffect\n");
+    PRINTF(4)("Deactivating CloudEffect\n");
 
     this->skydome->deactivate();