Index: data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt
===================================================================
--- data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9794)
+++ data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9867)
@@ -1,2 +1,4 @@
+<!-- This template includes HeavyCruiser with all its parts (not individually destructible) -->
+
 <Template name=HeavyCruiser>
   <SpaceShip
@@ -41,28 +43,12 @@
       <MultiStateEngine position="85,0,0" template=heavycruiserengine />
       <MultiStateEngine position="-85,0,0" template=heavycruiserengine />
+
+      <MultiStateEngine position="-140,0,308" template=heavycruiserengineleft />
+      <MultiStateEngine position="140,0,308" template=heavycruiserengineright />
     </engines>
     <attached>
 
-        <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
-            <attached>
-                <Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            </attached>
-            <collisionShapes>
-                <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
-                <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
-            </collisionShapes>
-        </StaticEntity>
-        <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
-            <attached>
-                <Model mesh="HeavyCruiser_frontL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            </attached>
-            <collisionShapes>
-                <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
-                <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>   
-            </collisionShapes>
-        </StaticEntity>
-
         <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-
+        <Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
         <Model mesh="HeavyCruiser_partL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
         <Model mesh="HeavyCruiser_partR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
@@ -70,5 +56,5 @@
         <Model mesh="HeavyCruiser_sidearmLfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
         <Model mesh="HeavyCruiser_sidearmR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-        <Model mesh="HeavyCruiser_sidearmRfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+        <Model mesh="HeavyCruiser_sidearmRfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>       
 
             <!-- bay1 lights -->
@@ -90,28 +76,20 @@
         <BlinkingBillboard position="-74,103,524" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
 
-
-
-<!--	<Model position="0,8,17" yaw=0 pitch=180 roll=0 scale3D="8, 10, 10" mesh="cube.mesh" />
-	<Model position="0,0,22" yaw=0 pitch=180 roll=0 scale3D="18, 2, 10" mesh="cube.mesh" />
-	<Model position="0,0,9" yaw=0 pitch=180 roll=0 scale3D="12, 2, 20" mesh="cube.mesh" />
-	<Model position="0,0,-18" yaw=0 pitch=180 roll=0 scale3D="6, 2, 18" mesh="cube.mesh" />
--->
-
     </attached>
     <collisionShapes>
-        <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
+                <BoxCollisionShape position="80,33,-320" halfExtents="7,11,54" info="frontR"/>
         <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>
 
 
-        <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
+        <BoxCollisionShape position="-80,33,-320" halfExtents="7,11,54" info="frontL"/>
         <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>
 
 
-        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>
-        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>
-
-
-        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>
-        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/>
+        <BoxCollisionShape position="94,33,-179" halfExtents="11,13,45" info="partR"/>
+        <BoxCollisionShape position="96,33,-230" halfExtents="13,17,22" info="partR"/>
+
+
+        <BoxCollisionShape position="-94,33,-179" halfExtents="11,13,45" info="partL"/>
+        <BoxCollisionShape position="-96,33,-230" halfExtents="13,17,22" info="partL"/>
 
 
@@ -136,5 +114,5 @@
 
 
-        <BoxCollisionShape position="141,15,-51" roll="-15" halfExtents="27,44,64" info="sidearmRfront"/>
+        <BoxCollisionShape position="141,15,-53" roll="-15" halfExtents="27,44,62" info="sidearmRfront"/>
         <BoxCollisionShape position="153,59,-30" roll="-15" halfExtents="4,2,38" info="sidearmRfront, top"/>
         <BoxCollisionShape position="153,61,-41" roll="-15" halfExtents="4,4,11" info="sidearmRfront, top"/>
@@ -163,5 +141,5 @@
 
 
-        <BoxCollisionShape position="-141,15,-51" roll="15" halfExtents="27,44,64" info="sidearmLfront"/>
+        <BoxCollisionShape position="-141,15,-53" roll="15" halfExtents="27,44,62" info="sidearmLfront"/>
         <BoxCollisionShape position="-153,59,-30" roll="15" halfExtents="4,2,38" info="sidearmLfront, top"/>
         <BoxCollisionShape position="-153,61,-41" roll="15" halfExtents="4,4,11" info="sidearmLfront, top"/>
@@ -215,4 +193,6 @@
         <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, C, Top"/>
         <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CB, Top"/>
+        
+
 
         <BoxCollisionShape position="0,-7,90" halfExtents="40,4,90" info="body, bay3, Twall"/>
@@ -288,5 +268,24 @@
         <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/> 
         <BoxCollisionShape position="0,-3,465" halfExtents="84,5,60" info="body, bay2, BottomWall"/>
-        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>
+        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/> 
+        
+        
+        <BoxCollisionShape position="0,7,80" halfExtents="23,1,34" info="HOOKBOX at 0,18,80, bottom"/>
+        <BoxCollisionShape position="0,29,80" halfExtents="23,1,34" info="HOOKBOX, top"/>
+        <BoxCollisionShape position="-22,18,80" halfExtents="1,12,34" info="HOOKBOX, left long"/>
+        <BoxCollisionShape position="0,18,80" halfExtents="1,12,34" info="HOOKBOX, center long"/>
+        <BoxCollisionShape position="22,18,80" halfExtents="1,12,34" info="HOOKBOX, right long"/>
+        <BoxCollisionShape position="0,18,113" halfExtents="23,12,1" info="HOOKBOX, wide"/> 
+        <BoxCollisionShape position="0,18,91" halfExtents="23,12,1" info="HOOKBOX, wide"/> 
+        <BoxCollisionShape position="0,18,69" halfExtents="23,12,1" info="HOOKBOX, wide"/> 
+        <BoxCollisionShape position="0,18,47" halfExtents="23,12,1" info="HOOKBOX, wide"/> 
+       
+<!-- Following the position of the other parts collisionboxes, used to attach them to the body --> 
+<!--         <BoxCollisionShape position="-11,18,102" halfExtents="10,10,10" info="HOOK, sidearmL"/>
+        <BoxCollisionShape position="11,18,102" halfExtents="10,10,10" info="HOOK, sidearmR"/>
+        <BoxCollisionShape position="-11,18,80" halfExtents="10,10,10" info="HOOK, partL"/>
+        <BoxCollisionShape position="11,18,80" halfExtents="10,10,10" info="HOOK, partR"/>
+        <BoxCollisionShape position="-11,18,58" halfExtents="10,10,10" info="HOOK, frontL"/>
+        <BoxCollisionShape position="11,18,58" halfExtents="10,10,10" info="HOOK, frontR"/> -->
     </collisionShapes>
 <?lua
@@ -294,5 +293,9 @@
 ?>
   </SpaceShip>
+
 </Template>
+
+
+
 
 <Template name=heavycruisercameras defaults=0>
@@ -309,21 +312,24 @@
 </Template>
 
+
+
+
 <Template name=heavycruiserengine baseclass=MultiStateEngine>
   <MultiStateEngine
    boostfactor    = 2
 
-   speedfront     = 300
-   speedback      =  50
-   speedleftright =  50
-   speedupdown    =  50
+   speedfront     = 150
+   speedback      =  40
+   speedleftright =  40
+   speedupdown    =  40
 
    defEngineSndNormal = "sounds/Engine_low.ogg"
    defEngineSndBoost = "sounds/Engine_high.ogg"
 
-   accelerationfront     = 50
-   accelerationbrake     = 10
-   accelerationback      =  10
-   accelerationleftright =  10
-   accelerationupdown    =  10
+   accelerationfront     = 10
+   accelerationbrake     = 8
+   accelerationback      =  4
+   accelerationleftright =  4
+   accelerationupdown    =  4
   >
     <EffectContainer condition="idle">
@@ -338,5 +344,5 @@
     <EffectContainer condition="normal or boost">
       <Backlight mainstate=activity active=false scale=0.6 name=bltest position="85,58,525" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-85,58,525" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail30" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare130" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-85,58,525" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.6 name=bltest position="85,58,525" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-85,58,525" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
@@ -355,2 +361,99 @@
   </MultiStateEngine>
 </Template>
+
+
+<Template name=heavycruiserengineleft baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 300
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 10
+   accelerationbrake     = 8
+   accelerationback      =  4
+   accelerationleftright =  4
+   accelerationupdown    =  4
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=1 position="-146,35,308" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="-135,-5,308" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-146,35,308" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-135,-5,308" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-146,35,308" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-135,-5,308" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+ </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-146,35,308" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-135,-5,308" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>
+
+
+<Template name=heavycruiserengineright baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 300
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 10
+   accelerationbrake     = 8
+   accelerationback      =  4
+   accelerationleftright =  4
+   accelerationupdown    =  4
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=1 position="146,35,308" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=1 position="135,-5,308" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="146,35,308" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="135,-5,308" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="146,35,308" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="135,-5,308" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+ </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="146,35,308" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="135,-5,308" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>